Group: Sound
# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(gstreamer-0.10)
# END SourceDeps(oneline)
%define fedora 38
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: gstreamer-plugins-fc
Version: 0.2
Release: alt2_31
Summary: Future Composer input plugin for GStreamer
License: GPLv2+
URL: http://xmms-fc.sourceforge.net
Source0: http://downloads.sourceforge.net/xmms-fc/gstreamer-plugin-fc-%{version}.tar.bz2

BuildRequires: libfc14audiodecoder-devel

%if 0%{?fedora} < 31
BuildRequires: gstreamer-devel >= 0.10
# for %%{_libdir}/gstreamer-0.10
Requires: gstreamer
%endif

# fixed upstream
Patch0: gstfcdec-0.2-configure.patch
BuildRequires: automake autoconf libtool
# from cvs
Patch1: gstreamer-plugin-fc-0.2-gstreamer1.patch
Source44: import.info

%description
This is an input plugin for GStreamer which can play back Future Composer
music files from AMIGA. Song-length detection and seek are implemented, too.


%package -n gstreamer1-plugins-fc
Group: Sound
Summary: Future Composer input plugin for GStreamer 1.0.x
BuildRequires: gstreamer1.0-devel libgstreamer1.0-gir-devel
BuildRequires: gst-plugins1.0-devel gst-plugins1.0-gir-devel
# for %%{_libdir}/gstreamer-1.0
Requires: gstreamer1.0 gstreamer1.0-utils libgstreamer1.0-gir
%if 0%{?fedora} > 30
Obsoletes: gstreamer-plugins-fc < 0.2-21
%endif

%description -n gstreamer1-plugins-fc
This is an input plugin for GStreamer which can play back Future Composer
music files from AMIGA. Song-length detection and seek are implemented, too.

%prep
%setup -q -n gstreamer-plugin-fc-%{version}
# https://bugzilla.redhat.com/925503
#patch0 -p1
%patch1 -p1
mv configure.in configure.ac
libtoolize -f ; autoreconf -f -i


%build
%configure \
    --disable-static
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%if 0%{?fedora} < 31
%files
%doc --no-dereference COPYING
%doc README ChangeLog
%{_libdir}/gstreamer-0.10/*.so
%endif


%files -n gstreamer1-plugins-fc
%doc --no-dereference COPYING
%doc README ChangeLog
%{_libdir}/gstreamer-1.0/*.so


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.2-alt2_31
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.2-alt2_29
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.2-alt2_28
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.2-alt2_27
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.2-alt2_26
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.2-alt2_25
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.2-alt2_24
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.2-alt2_23
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_23
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_22
- update to new release by fcimport

* Wed Nov 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_21
- update to new release by fcimport

* Sat Sep 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_19
- update to new release by fcimport

* Sat Mar 02 2019 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_18
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_17
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_16
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_15
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_13
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_12
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_11
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_9
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_8
- update to new release by fcimport

* Sat May 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_7
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_5
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_4
- initial fc import

